Типы оплат
GET
/v1/company-payment-type
const url = 'https://api-admin.billz.ai/v1/company-payment-type?page=1&limit=1000';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v1/company-payment-type?page=1&limit=1000' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Коды ошибок: 400 — ошибка валидации входных данных; 401, 403, 429, 500 — общие для всех методов. Форматы тела и семантика — Коды ответов и ошибки.
Authorizations
Заголовок раздела «Authorizations»Parameters
Заголовок раздела «Parameters»Query Parameters
Заголовок раздела «Query Parameters»page
integer format: int32
Не число -> 400
limit
integer format: int32
Не число — 400
Example
1000Header Parameters
Заголовок раздела «Header Parameters»accept-language
string
Ru|uz|en, default ru — язык названий типов оплат
platform-id
string
Идентификатор платформы. Для интеграций используется статичное значение.
Responses
Заголовок раздела «Responses»Успешный ответ
Media typeapplication/json
object
count
integer format: int32
company_payment_types
Array<object>
object
id
Этот id передаётся в payments при создании заказа
string
company_id
string
payment_type_id
Отсутствует в ответе, если значение пустое
string
payment_type
Вложенный справочник базовых типов оплат; отсутствует, если пусто
object
id
string
name
string
token
string
name
Локализуется по Accept-Language
string
is_editable
boolean
dont_show_in_make_payment
boolean
dont_show_in_settings
boolean
is_cash_payment_type
boolean
is_visible_for_web
boolean
is_visible_for_mobile
boolean
is_visible_for_desktop
boolean
sequence_number
integer
Examplegenerated
{ "count": 1, "company_payment_types": [ { "id": "example", "company_id": "example", "payment_type_id": "example", "payment_type": { "id": "example", "name": "example" }, "token": "example", "name": "example", "is_editable": true, "dont_show_in_make_payment": true, "dont_show_in_settings": true, "is_cash_payment_type": true, "is_visible_for_web": true, "is_visible_for_mobile": true, "is_visible_for_desktop": true, "sequence_number": 1 } ]}